Subject: Re: bug#23219: 25.0.92; Find command cannot be customized for grep-find

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Apr 2016 18:40:15 +0300

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Tue, 5 Apr 2016 18:12:46 +0300
> 
> On 04/05/2016 06:01 PM, Eli Zaretskii wrote:
> 
> > -(defvar grep-program (purecopy "grep")
> > +(defcustom grep-grep-program (purecopy "grep")
> 
> I didn't mean to suggest renaming the variables.

I don't think it's a good idea to have, say, 'find-program' in grep.el
without a prefix.

> At the very least, we'd need obsolete aliases, as they're likely to
> be used in some third party code.

Right, will do.

> Also, grep-grep-program looks weird.

I can make it grep-program again.

> >    "The default grep program for `grep-command' and `grep-find-command'.
> > -This variable's value takes effect when `grep-compute-defaults' is called.")
> > +This variable's value takes effect when `grep-compute-defaults' is called."
> > +  :type 'string
> > +  :set 'grep-apply-setting
> 
> Does grep-apply-setting expect the new variables? Its docstring disagrees.

I will double-check.

Thanks.